View Issue Details

IDProjectCategoryView StatusLast Update
0003503GNUnetcadet servicepublic2018-06-07 00:25
ReporterellAssigned ToBart Polot 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
PlatformOSXubuntu-14.04-amd64OS Version
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003503: gnunet-service-cadet_connection.c:958 debug info
DescriptionJul 21 20:50:55-359517 cadet-16917 ERROR Assertion failed at gnunet-service-cadet_connection.c:958.
Jul 21 20:50:55-360307 cadet-con-16917 ERROR CCC DEBUG CONNECTION 0PCCKKX0
Jul 21 20:50:55-360689 cadet-con-16917 ERROR CCC path 668D TZQE TRPH, own pos: 0
Jul 21 20:50:55-361218 cadet-con-16917 ERROR CCC state: CADET_CONNECTION_DESTROYED, destroy: 0
Jul 21 20:50:55-361580 cadet-con-16917 ERROR CCC pending messages: 0
Jul 21 20:50:55-361943 cadet-con-16917 ERROR CCC FWD flow control:
Jul 21 20:50:55-362318 cadet-con-16917 ERROR CCC queue: 0/11
Jul 21 20:50:55-362737 cadet-con-16917 ERROR CCC last PID sent: 4294967295, recv: 4294967295
Jul 21 20:50:55-363134 cadet-con-16917 ERROR CCC last ACK sent: 0, recv: 0
Jul 21 20:50:55-363503 cadet-con-16917 ERROR CCC POLL: task 0, msg (nil), msg_ack (nil))
Jul 21 20:50:55-363876 cadet-con-16917 ERROR CCC BCK flow control:
Jul 21 20:50:55-364250 cadet-con-16917 ERROR CCC queue: 0/11
Jul 21 20:50:55-364614 cadet-con-16917 ERROR CCC last PID sent: 4294967295, recv: 4294967295
Jul 21 20:50:55-365150 cadet-con-16917 ERROR CCC last ACK sent: 0, recv: 0
Jul 21 20:50:55-365790 cadet-con-16917 ERROR CCC POLL: task 0, msg (nil), msg_ack (nil))
Jul 21 20:50:55-366181 cadet-con-16917 ERROR CCC DEBUG CONNECTION END
Jul 21 21:04:44-790936 cadet-16917 ERROR Assertion failed at gnunet-service-cadet_connection.c:958.
Jul 21 21:04:44-791379 cadet-con-16917 ERROR CCC DEBUG CONNECTION WYV8WCWD
Jul 21 21:04:44-791744 cadet-con-16917 ERROR CCC path 668D STRN TZQE TRPH, own pos: 0
Jul 21 21:04:44-792101 cadet-con-16917 ERROR CCC state: CADET_CONNECTION_DESTROYED, destroy: 0
Jul 21 21:04:44-792461 cadet-con-16917 ERROR CCC pending messages: 0
Jul 21 21:04:44-792884 cadet-con-16917 ERROR CCC FWD flow control:
Jul 21 21:04:44-793244 cadet-con-16917 ERROR CCC queue: 0/11
Jul 21 21:04:44-793600 cadet-con-16917 ERROR CCC last PID sent: 4294967295, recv: 4294967295
Jul 21 21:04:44-793956 cadet-con-16917 ERROR CCC last ACK sent: 0, recv: 0
Jul 21 21:04:44-794311 cadet-con-16917 ERROR CCC POLL: task 0, msg (nil), msg_ack (nil))
Jul 21 21:04:44-794667 cadet-con-16917 ERROR CCC BCK flow control:
Jul 21 21:04:44-795058 cadet-con-16917 ERROR CCC queue: 0/11
Jul 21 21:04:44-795413 cadet-con-16917 ERROR CCC last PID sent: 4294967295, recv: 4294967295
Jul 21 21:04:44-795766 cadet-con-16917 ERROR CCC last ACK sent: 0, recv: 0
Jul 21 21:04:44-796147 cadet-con-16917 ERROR CCC POLL: task 0, msg (nil), msg_ack (nil))
Jul 21 21:04:44-796501 cadet-con-16917 ERROR CCC DEBUG CONNECTION END
Jul 21 21:05:47-170587 cadet-16917 ERROR Assertion failed at gnunet-service-cadet_connection.c:958.
Jul 21 21:05:47-170673 cadet-con-16917 ERROR CCC DEBUG CONNECTION YSN22QKJ
Jul 21 21:05:47-171877 set-15972 WARNING other peer disconnected prematurely
Jul 21 21:05:47-172993 revocation-15968 WARNING Error computing revocation set union with TRPH
Jul 21 21:08:39-215192 cadet-16919 ERROR Assertion failed at gnunet-service-cadet_connection.c:958.
Jul 21 21:08:39-215623 cadet-con-16919 ERROR CCC DEBUG CONNECTION 4KS9CJQ0
Jul 21 21:08:39-215701 cadet-con-16919 ERROR CCC path 668D TZQE TRPH, own pos: 0
Jul 21 21:08:39-215767 cadet-con-16919 ERROR CCC state: CADET_CONNECTION_DESTROYED, destroy: 0
Jul 21 21:08:39-215832 cadet-con-16919 ERROR CCC pending messages: 0
Jul 21 21:08:39-215897 cadet-con-16919 ERROR CCC FWD flow control:
Jul 21 21:08:39-215961 cadet-con-16919 ERROR CCC queue: 0/11
Jul 21 21:08:39-216026 cadet-con-16919 ERROR CCC last PID sent: 4294967295, recv: 4294967295
Jul 21 21:08:39-216092 cadet-con-16919 ERROR CCC last ACK sent: 0, recv: 0
Jul 21 21:08:39-216160 cadet-con-16919 ERROR CCC POLL: task 0, msg (nil), msg_ack (nil))
Jul 21 21:08:39-216225 cadet-con-16919 ERROR CCC BCK flow control:
Jul 21 21:08:39-216291 cadet-con-16919 ERROR CCC queue: 0/11
Jul 21 21:08:39-216356 cadet-con-16919 ERROR CCC last PID sent: 4294967295, recv: 4294967295
Jul 21 21:08:39-216423 cadet-con-16919 ERROR CCC last ACK sent: 0, recv: 0
Jul 21 21:08:39-216491 cadet-con-16919 ERROR CCC POLL: task 0, msg (nil), msg_ack (nil))
Jul 21 21:08:39-216558 cadet-con-16919 ERROR CCC DEBUG CONNECTION END
Jul 21 21:11:28-003157 cadet-16919 ERROR Assertion failed at gnunet-service-cadet_connection.c:958.
Jul 21 21:11:28-003768 cadet-con-16919 ERROR CCC DEBUG CONNECTION YREMD8PF
Jul 21 21:11:28-004418 cadet-con-16919 ERROR CCC path 668D TZQE TRPH, own pos: 0
Jul 21 21:11:28-005095 cadet-con-16919 ERROR CCC state: CADET_CONNECTION_DESTROYED, destroy: 0
Jul 21 21:11:28-005647 cadet-con-16919 ERROR CCC pending messages: 0
Jul 21 21:11:28-006275 cadet-con-16919 ERROR CCC FWD flow control:
Jul 21 21:11:28-006812 cadet-con-16919 ERROR CCC queue: 0/11
Jul 21 21:11:28-007367 cadet-con-16919 ERROR CCC last PID sent: 4294967295, recv: 4294967295
Jul 21 21:11:28-007913 cadet-con-16919 ERROR CCC last ACK sent: 0, recv: 0
Jul 21 21:11:28-008512 cadet-con-16919 ERROR CCC POLL: task 0, msg (nil), msg_ack (nil))
Jul 21 21:11:28-009265 cadet-con-16919 ERROR CCC BCK flow control:
Jul 21 21:11:28-009825 cadet-con-16919 ERROR CCC queue: 0/11
Jul 21 21:11:28-010535 cadet-con-16919 ERROR CCC last PID sent: 4294967295, recv: 4294967295
Jul 21 21:11:28-011099 cadet-con-16919 ERROR CCC last ACK sent: 0, recv: 0
Jul 21 21:11:28-022501 cadet-con-16919 ERROR CCC POLL: task 0, msg (nil), msg_ack (nil))
Jul 21 21:11:28-023204 cadet-con-16919 ERROR CCC DEBUG CONNECTION END
Jul 21 21:17:39-005601 cadet-16919 ERROR Assertion failed at gnunet-service-cadet_channel.c:2386.
Jul 21 21:17:39-006070 cadet-tun-16919 ERROR TTT DEBUG TUNNEL TOWARDS TRPH
Jul 21 21:17:39-006172 cadet-tun-16919 ERROR TTT cstate CADET_TUNNEL_READY, estate CADET_TUNNEL_KEY_OK
Jul 21 21:17:39-006269 cadet-tun-16919 ERROR TTT kx_ctx 0x7f2987865100, rekey_task 0
Jul 21 21:17:39-006361 cadet-tun-16919 ERROR TTT tq_head (nil), tq_tail (nil)
Jul 21 21:17:39-006451 cadet-tun-16919 ERROR TTT destroy 0
Jul 21 21:17:39-006550 cadet-tun-16919 ERROR TTT channels:
Jul 21 21:17:39-006646 cadet-tun-16919 ERROR TTT - TRPH:19 gid:40000002 (8000004B / 0)
Jul 21 21:17:39-006742 cadet-tun-16919 ERROR TTT - TRPH:19 gid:40000003 (8000004C / 0)
Jul 21 21:17:39-006834 cadet-tun-16919 ERROR TTT connections:
Jul 21 21:17:39-006929 cadet-con-16919 ERROR CCC DEBUG CONNECTION AGMZNE77 (->TRPH)
Jul 21 21:17:39-007026 cadet-con-16919 ERROR CCC path 668D TRPH, own pos: 0
Jul 21 21:17:39-007117 cadet-con-16919 ERROR CCC state: CADET_CONNECTION_SENT, destroy: 0
Jul 21 21:17:39-007211 cadet-con-16919 ERROR CCC pending messages: 0
Jul 21 21:17:39-007304 cadet-con-16919 ERROR CCC FWD flow control:
Jul 21 21:17:39-007395 cadet-con-16919 ERROR CCC queue: 0/11
Jul 21 21:17:39-007487 cadet-con-16919 ERROR CCC last PID sent: 4294967295, recv: 4294967295
Jul 21 21:17:39-007581 cadet-con-16919 ERROR CCC last ACK sent: 0, recv: 0
Jul 21 21:17:39-007672 cadet-con-16919 ERROR CCC POLL: task 0, msg (nil), msg_ack (nil))
Jul 21 21:17:39-007765 cadet-con-16919 ERROR CCC BCK flow control:
Jul 21 21:17:39-007856 cadet-con-16919 ERROR CCC queue: 0/11
Jul 21 21:17:39-007949 cadet-con-16919 ERROR CCC last PID sent: 4294967295, recv: 4294967295
Jul 21 21:17:39-008041 cadet-con-16919 ERROR CCC last ACK sent: 0, recv: 0
Jul 21 21:17:39-008134 cadet-con-16919 ERROR CCC POLL: task 0, msg (nil), msg_ack (nil))
Jul 21 21:17:39-008226 cadet-con-16919 ERROR CCC DEBUG CONNECTION END
Jul 21 21:17:39-008321 cadet-con-16919 ERROR CCC DEBUG CONNECTION 1VE7V4G7 (->TRPH)
Jul 21 21:17:39-008421 cadet-con-16919 ERROR CCC path 668D TZQE P00P TRPH, own pos: 0
Jul 21 21:17:39-008514 cadet-con-16919 ERROR CCC state: CADET_CONNECTION_SENT, destroy: 0
Jul 21 21:17:39-008604 cadet-con-16919 ERROR CCC pending messages: 0
Jul 21 21:17:39-008699 cadet-con-16919 ERROR CCC FWD flow control:
Jul 21 21:17:39-008908 cadet-con-16919 ERROR CCC queue: 0/11
Jul 21 21:17:39-009046 cadet-con-16919 ERROR CCC last PID sent: 4294967295, recv: 4294967295
Jul 21 21:17:39-013232 cadet-con-16919 ERROR CCC last ACK sent: 0, recv: 0
Jul 21 21:17:39-013332 cadet-con-16919 ERROR CCC POLL: task 0, msg (nil), msg_ack (nil))
Jul 21 21:17:39-013424 cadet-con-16919 ERROR CCC BCK flow control:
Jul 21 21:17:39-013515 cadet-con-16919 ERROR CCC queue: 0/11
Jul 21 21:17:39-013609 cadet-con-16919 ERROR CCC last PID sent: 4294967295, recv: 4294967295
Jul 21 21:17:39-013698 cadet-con-16919 ERROR CCC last ACK sent: 0, recv: 0
Jul 21 21:17:39-013789 cadet-con-16919 ERROR CCC POLL: task 0, msg (nil), msg_ack (nil))
Jul 21 21:17:39-013885 cadet-con-16919 ERROR CCC DEBUG CONNECTION END
Jul 21 21:17:39-013976 cadet-tun-16919 ERROR TTT DEBUG TUNNEL END
Jul 21 21:48:59-926914 cadet-16919 ERROR Assertion failed at gnunet-service-cadet_connection.c:958.
Jul 21 21:48:59-927057 cadet-con-16919 ERROR CCC DEBUG CONNECTION 96084VG3
Jul 21 21:48:59-927965 set-15972 WARNING other peer disconnected prematurely
Jul 21 21:48:59-928627 revocation-15968 WARNING Error computing revocation set union with TRPH
Steps To Reproduce-
Additional Informationbug filed only as additional debug info.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2014-07-21 21:57 ell New Issue
2014-07-21 21:57 ell Status new => assigned
2014-07-21 21:57 ell Assigned To => Bart Polot
2014-11-07 18:52 Christian Grothoff Target Version => 0.11.0pre66
2015-01-15 20:25 Bart Polot Status assigned => resolved
2015-01-15 20:25 Bart Polot Fixed in Version => SVN HEAD
2015-01-15 20:25 Bart Polot Resolution open => fixed
2015-01-16 11:05 Christian Grothoff Fixed in Version SVN HEAD => 0.11.0pre66
2018-06-07 00:25 Christian Grothoff Status resolved => closed